Subject: bug#13841: 24.3.50; Regression - unreadable `C-h k' help

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Oct 2019 20:57:30 +0200

Michael Heerdegen <[email-masked]> writes:

> I don't recall: did we want to fix only compiled lambdas, or any
> anonymous functions (including quoted lambdas)?

All key bindings (including menu ones) should be to named functions, I
think.  That allows inspection via `C-h k' and the user can jump to the
function definition to see what it does.

> Attached a quick rough search for candidates (search for "-->") - is any
> of them problematic?

All of them should be changed, I think, although the
tab-bar-make-keymap-1 looks a bit difficult to deal with.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no